﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WSFargoLine.ServiceMercator {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="ServiceMercator.MERCATOR_PERUSoap")]
    public interface MERCATOR_PERUSoap {
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el nombre de elemento pRegistro del espacio de nombres http://tempuri.org/ no está marcado para aceptar valores nil.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/LiberacionBL", ReplyAction="*")]
        WSFargoLine.ServiceMercator.LiberacionBLResponse LiberacionBL(WSFargoLine.ServiceMercator.LiberacionBLRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el nombre de elemento pRegistro del espacio de nombres http://tempuri.org/ no está marcado para aceptar valores nil.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/LiberacionSobreestadia", ReplyAction="*")]
        WSFargoLine.ServiceMercator.LiberacionSobreestadiaResponse LiberacionSobreestadia(WSFargoLine.ServiceMercator.LiberacionSobreestadiaRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el nombre de elemento pRegistro del espacio de nombres http://tempuri.org/ no está marcado para aceptar valores nil.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/RetiroCompleto", ReplyAction="*")]
        WSFargoLine.ServiceMercator.RetiroCompletoResponse RetiroCompleto(WSFargoLine.ServiceMercator.RetiroCompletoRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que el nombre de elemento ProcesoResult del espacio de nombres http://tempuri.org/ no está marcado para aceptar valores nil.
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/Proceso", ReplyAction="*")]
        WSFargoLine.ServiceMercator.ProcesoResponse Proceso(WSFargoLine.ServiceMercator.ProcesoRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class LiberacionBLRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="LiberacionBL", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMercator.LiberacionBLRequestBody Body;
        
        public LiberacionBLRequest() {
        }
        
        public LiberacionBLRequest(WSFargoLine.ServiceMercator.LiberacionBLRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class LiberacionBLRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string pRegistro;
        
        public LiberacionBLRequestBody() {
        }
        
        public LiberacionBLRequestBody(string pRegistro) {
            this.pRegistro = pRegistro;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class LiberacionBLResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="LiberacionBLResponse", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMercator.LiberacionBLResponseBody Body;
        
        public LiberacionBLResponse() {
        }
        
        public LiberacionBLResponse(WSFargoLine.ServiceMercator.LiberacionBLResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class LiberacionBLResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string LiberacionBLResult;
        
        public LiberacionBLResponseBody() {
        }
        
        public LiberacionBLResponseBody(string LiberacionBLResult) {
            this.LiberacionBLResult = LiberacionBLResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class LiberacionSobreestadiaRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="LiberacionSobreestadia", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMercator.LiberacionSobreestadiaRequestBody Body;
        
        public LiberacionSobreestadiaRequest() {
        }
        
        public LiberacionSobreestadiaRequest(WSFargoLine.ServiceMercator.LiberacionSobreestadiaRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class LiberacionSobreestadiaRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string pRegistro;
        
        public LiberacionSobreestadiaRequestBody() {
        }
        
        public LiberacionSobreestadiaRequestBody(string pRegistro) {
            this.pRegistro = pRegistro;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class LiberacionSobreestadiaResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="LiberacionSobreestadiaResponse", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMercator.LiberacionSobreestadiaResponseBody Body;
        
        public LiberacionSobreestadiaResponse() {
        }
        
        public LiberacionSobreestadiaResponse(WSFargoLine.ServiceMercator.LiberacionSobreestadiaResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class LiberacionSobreestadiaResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string LiberacionSobreestadiaResult;
        
        public LiberacionSobreestadiaResponseBody() {
        }
        
        public LiberacionSobreestadiaResponseBody(string LiberacionSobreestadiaResult) {
            this.LiberacionSobreestadiaResult = LiberacionSobreestadiaResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class RetiroCompletoRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="RetiroCompleto", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMercator.RetiroCompletoRequestBody Body;
        
        public RetiroCompletoRequest() {
        }
        
        public RetiroCompletoRequest(WSFargoLine.ServiceMercator.RetiroCompletoRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class RetiroCompletoRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string pRegistro;
        
        public RetiroCompletoRequestBody() {
        }
        
        public RetiroCompletoRequestBody(string pRegistro) {
            this.pRegistro = pRegistro;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class RetiroCompletoResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="RetiroCompletoResponse", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMercator.RetiroCompletoResponseBody Body;
        
        public RetiroCompletoResponse() {
        }
        
        public RetiroCompletoResponse(WSFargoLine.ServiceMercator.RetiroCompletoResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class RetiroCompletoResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string RetiroCompletoResult;
        
        public RetiroCompletoResponseBody() {
        }
        
        public RetiroCompletoResponseBody(string RetiroCompletoResult) {
            this.RetiroCompletoResult = RetiroCompletoResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ProcesoRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="Proceso", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMercator.ProcesoRequestBody Body;
        
        public ProcesoRequest() {
        }
        
        public ProcesoRequest(WSFargoLine.ServiceMercator.ProcesoRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute()]
    public partial class ProcesoRequestBody {
        
        public ProcesoRequestBody() {
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ProcesoResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="ProcesoResponse", Namespace="http://tempuri.org/", Order=0)]
        public WSFargoLine.ServiceMercator.ProcesoResponseBody Body;
        
        public ProcesoResponse() {
        }
        
        public ProcesoResponse(WSFargoLine.ServiceMercator.ProcesoResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class ProcesoResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string ProcesoResult;
        
        public ProcesoResponseBody() {
        }
        
        public ProcesoResponseBody(string ProcesoResult) {
            this.ProcesoResult = ProcesoResult;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface MERCATOR_PERUSoapChannel : WSFargoLine.ServiceMercator.MERCATOR_PERUSoap, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class MERCATOR_PERUSoapClient : System.ServiceModel.ClientBase<WSFargoLine.ServiceMercator.MERCATOR_PERUSoap>, WSFargoLine.ServiceMercator.MERCATOR_PERUSoap {
        
        public MERCATOR_PERUSoapClient() {
        }
        
        public MERCATOR_PERUSoapClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public MERCATOR_PERUSoapClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public MERCATOR_PERUSoapClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public MERCATOR_PERUSoapClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WSFargoLine.ServiceMercator.LiberacionBLResponse WSFargoLine.ServiceMercator.MERCATOR_PERUSoap.LiberacionBL(WSFargoLine.ServiceMercator.LiberacionBLRequest request) {
            return base.Channel.LiberacionBL(request);
        }
        
        public string LiberacionBL(string pRegistro) {
            WSFargoLine.ServiceMercator.LiberacionBLRequest inValue = new WSFargoLine.ServiceMercator.LiberacionBLRequest();
            inValue.Body = new WSFargoLine.ServiceMercator.LiberacionBLRequestBody();
            inValue.Body.pRegistro = pRegistro;
            WSFargoLine.ServiceMercator.LiberacionBLResponse retVal = ((WSFargoLine.ServiceMercator.MERCATOR_PERUSoap)(this)).LiberacionBL(inValue);
            return retVal.Body.LiberacionBLResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WSFargoLine.ServiceMercator.LiberacionSobreestadiaResponse WSFargoLine.ServiceMercator.MERCATOR_PERUSoap.LiberacionSobreestadia(WSFargoLine.ServiceMercator.LiberacionSobreestadiaRequest request) {
            return base.Channel.LiberacionSobreestadia(request);
        }
        
        public string LiberacionSobreestadia(string pRegistro) {
            WSFargoLine.ServiceMercator.LiberacionSobreestadiaRequest inValue = new WSFargoLine.ServiceMercator.LiberacionSobreestadiaRequest();
            inValue.Body = new WSFargoLine.ServiceMercator.LiberacionSobreestadiaRequestBody();
            inValue.Body.pRegistro = pRegistro;
            WSFargoLine.ServiceMercator.LiberacionSobreestadiaResponse retVal = ((WSFargoLine.ServiceMercator.MERCATOR_PERUSoap)(this)).LiberacionSobreestadia(inValue);
            return retVal.Body.LiberacionSobreestadiaResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WSFargoLine.ServiceMercator.RetiroCompletoResponse WSFargoLine.ServiceMercator.MERCATOR_PERUSoap.RetiroCompleto(WSFargoLine.ServiceMercator.RetiroCompletoRequest request) {
            return base.Channel.RetiroCompleto(request);
        }
        
        public string RetiroCompleto(string pRegistro) {
            WSFargoLine.ServiceMercator.RetiroCompletoRequest inValue = new WSFargoLine.ServiceMercator.RetiroCompletoRequest();
            inValue.Body = new WSFargoLine.ServiceMercator.RetiroCompletoRequestBody();
            inValue.Body.pRegistro = pRegistro;
            WSFargoLine.ServiceMercator.RetiroCompletoResponse retVal = ((WSFargoLine.ServiceMercator.MERCATOR_PERUSoap)(this)).RetiroCompleto(inValue);
            return retVal.Body.RetiroCompletoResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WSFargoLine.ServiceMercator.ProcesoResponse WSFargoLine.ServiceMercator.MERCATOR_PERUSoap.Proceso(WSFargoLine.ServiceMercator.ProcesoRequest request) {
            return base.Channel.Proceso(request);
        }
        
        public string Proceso() {
            WSFargoLine.ServiceMercator.ProcesoRequest inValue = new WSFargoLine.ServiceMercator.ProcesoRequest();
            inValue.Body = new WSFargoLine.ServiceMercator.ProcesoRequestBody();
            WSFargoLine.ServiceMercator.ProcesoResponse retVal = ((WSFargoLine.ServiceMercator.MERCATOR_PERUSoap)(this)).Proceso(inValue);
            return retVal.Body.ProcesoResult;
        }
    }
}
